org.omg.PortableInterceptor.ORBInitInfoPackage

## Class DuplicateName

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.PortableInterceptor.ORBInitInfoPackage.DuplicateName

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class DuplicateName
      extends UserException

  org/omg/PortableInterceptor/ORBInitInfoPackage/DuplicateName.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Wednesday, January 29, 2014 2:00:12 PM UTC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name` The name for which there was already an interceptor registered.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicateName()`
    `DuplicateName(String _name)`
    `DuplicateName(String $reason, String _name)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      The name for which there was already an interceptor registered.

  - ### Constructor Detail

    - #### DuplicateName

          public DuplicateName()

    - #### DuplicateName

          public DuplicateName(String _name)

    - #### DuplicateName

          public DuplicateName(String $reason,
                       String _name)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.